# FileUtils.cpp File Reference

`#include <unistd.h>`
`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include <osg/Notify>`
`#include <osgDB/FileUtils>`
`#include <osgDB/FileNameUtils>`
`#include <osgDB/Registry>`
`#include <errno.h>`
`#include <stack>`
`#include <dirent.h>`

Include dependency graph for FileUtils.cpp:

## Defines

#define | S_ISDIR(mode) (mode&__S_IFDIR)

## Define Documentation

#define S_ISDIR | ( | mode |  | ) | (mode&__S_IFDIR)